@font-face {
  font-family: Big John;
  src: url("../src/fonts/John_Joe/BIG_JOHN.otf");
}

@font-face {
  font-family: Arvo;
  src: url("../src/fonts/Arvo/Arvo-Bold.ttf");
}

@font-face {
  font-family: Made Waffle Soft;
  src: url("../src/fonts/Made_Waffle_Soft/Made_Waffle_Soft.otf");
}

@font-face {
  font-family: Questrial;
  src: url("../src/fonts/Questrial/Questrial-Regular.ttf");
}

.y-mandatory {
  scroll-snap-type: y mandatory;
}

h1 {
  font-family: Big John, sans-serif;
  font-size: 1.5rem;
  color: white;
}

.container {
  overflow: scroll;
  position: relative;
  max-width: none;
}

.scroll-hide {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 3s, opacity 1.5s ease-in-out;
}

.scroll-show {
  visibility: visible;
  opacity: 1;
  transition: visibility 3s 0s, opacity 1.5s ease-in-out;
}

header img {
  width: 48px;
  vertical-align: unset;
}

header div {
  background: #454545;
  padding-left: .15em;
  padding-right: .15em;
  box-shadow: 0 0 20px rgb(0 0 0 / 50%);
  border-radius: .15em;
  display: inline-block;
  height: 4rem;
  text-align: center;
}

#root{
  height: 100%;
  min-height: -webkit-fill-available;
}

header div,
header div img,
header div h1 {
  display: inline-block;
}

header div h1 {
  vertical-align: text-top;
  padding-top: .6rem;
}

.element {
  scroll-snap-align: start;
  scroll-snap-stop: normal;
  color: #454545;
  font-size: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
  margin: auto;
}

.block img {
  width: 100%;
  border-radius: .15em .15em 0 0;
}

h2 {
  font-family: 'Made Waffle Soft', Arial, sans-serif;
  color: white;
  text-align: center;
  font-size: 1.35rem;
  line-height: 2rem;
  margin-top: 1rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

a:not(footer a):not(header a) {
  padding: .75rem 1.1rem .75rem 1.1rem;
  background: white;
  color: #454545;
  font-family: 'Questrial';
  margin: auto;
  text-align: center;
  width: fit-content;
  border-radius: .25em;
}

header a{
  height: 100%;
  display: inline-block;
}

.temporary-bounce {
  -webkit-animation-iteration-count: 9;
  animation-iteration-count: 9;
}

a:not(footer a):not(header a):hover,
a:not(footer a):not(header a):focus{
  box-shadow: 0 0 7.5px rgb(0 0 0);
}

footer a:hover,
footer a:focus{
  text-decoration: underline;
}

.block div * {
  display: block;
}

p {
  font-size: 1rem;
  text-align: center;
  font-family: 'Questrial', Arial, sans-serif;
  margin-top: 1rem;
}

.block p+p,
.profile p,
.skills p,
.experience p,
.experiencewith p {
  color: white;
}

footer p {
  margin-top: 0;
  box-shadow: 0 0 20px rgb(0 0 0 / 50%);
  padding: 1rem;
  border-radius: .25em;
  background: #454545;
  color: white;
}

.block div {
  background: #454545;
  height: auto;
  width: 80%;
  border-radius: .15em;
  box-shadow: 0 0 20px rgb(0 0 0 / 50%);
  padding-bottom: 1rem;
}

.block div p {
  padding-left: 1em;
  padding-right: 1em;
}

header+div>div:first-child h2,
header+div>div:first-child a,
header+div>div:first-child h2 + p{
  display: none;
}

.profile img{
  width: 50%;
  border-radius: 5em;
  margin-left: auto;
  margin-right: auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

hr {
  height: 3px;
  border: none;
  background: white;
  width: 50%;
  margin: auto;
}

br.special{
  font-size: 0;
  height: 0;
  line-height: 1px;
  margin-bottom: 1rem;
  content: " ";
}

.block p a {
  font-family: Arvo;
}

.block p strong:first-of-type {
  font-family: Made Waffle Soft;
}

svg.light-switch {
  transform: rotate(180deg);
}

@media screen and (min-width: 500px) {

  header div{
    height: 6rem;
  }

  header div h1{
    font-size: 2.5rem;
    vertical-align: top;
    padding-top: 1.5rem;
  }

  header img{
    width: 72px;
    padding-top: .25em;
    padding-bottom: .25em;
  }

}

@media screen and (min-width: 768px) {

  header div h1 {
    font-size: 4rem;
  }

  header+div {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 2em;
    padding-left: 2em;
    padding-right: 2em;
  }

  .block div {
    width: 100%;
  }

  div.block {
    flex: 1 0 45%;
  }

  header div {
    display: inline-block;
    height: 11rem;
    text-align: center;
    padding-left: .5em;
    padding-right: .5em;
  }

  header p{
    display: none;
  }

  header div img {
    width: 144px;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  header div h1 {
    vertical-align: top;
    padding-top: 3rem;
  }
  header+div div:first-child{
    flex: 100%;
  }

}

@media screen and (min-width: 1080px) {

  h2 {
    font-size: 1.5rem;
  }

  .block p,
  .block a,
  footer p {
    font-size: 1.25rem;
  }

}

@media screen and (min-width: 1200px) {

  header+div {
    max-width: 1296px;
    margin: auto;
    gap: 3em;
    padding-left: 3em;
    padding-right: 3em;
  }

  h2 {
    font-size: 1.85rem;
  }

  .block:not(.profile):not(.experience) p,
  .block a,
  footer p {
    font-size: 1.55rem;
  }
  
}